const BigSquare = () => {
  return (
    <div style={{
      top: Math.random() * 300 + 'vh', 
      left: 'calc((100vw - 200px) * ' + Math.random() + ')'

      
    }} 
    class="bigsquare"></div>
  )
}

const MiddleSquare = () => {
  return (
    <div
    style={{
      top: Math.random() * 300 + 'vh', 
      left: 'calc((100vw - 200px) * ' + Math.random() + ')'
    }} 
     class="middlesquare"></div>
  )
}

const SmallSquare = () => {
  return (
    <div 
    style={{
      top: Math.random() * 300 + 'vh', 
      left: 'calc((100vw - 200px) * ' + Math.random() + ')'
    }} 
    class="smallsquare"></div>
  )
}

const App = () => {
  const squareArray = Array(10).fill('');

  const handleScroll = () => {
    const scrolled = window.scrollY;
    console.log(scrolled);
    document.getElementsByClassName('layer3')[0].style.top = 0 - scrolled * 0.33 + 'px';
    document.getElementsByClassName('layer2')[0].style.top = 0 - scrolled * 0.66 + 'px';
    document.getElementsByClassName('layer1')[0].style.top = 0 - scrolled + 'px';

  }

  React.useEffect(() => {
    console.log('')
    window.addEventListener('scroll', handleScroll);
  }, [])

  return (
    <div >
      <div class="layer1">
        {squareArray.map(() => {
          return(
            <BigSquare />
          )
        })}
        
      </div>
      <div class="layer2">
       {squareArray.map(() => {
         return(
           <MiddleSquare />
         )
       })}
      </div>
      <div class="layer3">
        {squareArray.map(() => {
          return (
            <SmallSquare />
          )
        })}
      </div>
    </div>
  );
};

ReactDOM.render(<App />, root);
